package cn.iocoder.yudao.module.expense.controller.admin.expenseitem.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 报销费用项目信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class ExpenseItemRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "4075")
    @ExcelProperty("主键")
    private Long id;

    @Schema(description = "报销类型主键id", requiredMode = Schema.RequiredMode.REQUIRED, example = "2556")
    @ExcelProperty("报销类型主键id")
    private Long expenseTypeId;

    @Schema(description = "报销类型uuid", example = "14367")
    @ExcelProperty("报销类型uuid")
    private String expenseTypeUuid;

    @Schema(description = "费用项目uuid", example = "10133")
    @ExcelProperty("费用项目uuid")
    private String expenseItemUuid;

    @Schema(description = "费用项目", example = "芋艿")
    @ExcelProperty("费用项目")
    private String name;

    @Schema(description = "备注")
    @ExcelProperty("备注")
    private String remarks;

    @Schema(description = "创建者")
    @ExcelProperty("创建者id")
    private Long creator;

    @Schema(description = "创建员工姓名")
    @ExcelProperty("创建员工id")
    private String createEmployeeName;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}