package cn.iocoder.yudao.module.attendance.controller.admin.info.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.time.LocalDate;
import java.time.LocalTime;

@Schema(description = "管理后台 - 每日考勤信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class AttendanceMonthlyInfoRespVO {

    @Schema(description = "员工ID", example = "6960")
    private Long employeeId;

    @Schema(description = "员工姓名", requiredMode = Schema.RequiredMode.REQUIRED, example = "王五")
    @ExcelProperty("员工姓名")
    private String employeeName;

    @Schema(description = "员工手机号", requiredMode = Schema.RequiredMode.REQUIRED, example = "13812345678")
    @NotEmpty(message = "员工手机号不能为空")
    private String employeeMobile;

    @Schema(description = "部门名称", example = "13463")
    private String deptName;

    @Schema(description = "考勤月份", example = "2024-07")
    private String attendanceMonth;

    @Schema(description = "出勤天数", example = "13463")
    private int attendanceDays = 0;

    @Schema(description = "正常打卡", example = "13463")
    private int normalClockCount = 0;

    @Schema(description = "迟到次数", example = "13463")
    private int lateCount;

    @Schema(description = "旷工次数", example = "13463")
    private int absenteeismCount;

    @Schema(description = "早退次数", example = "13463")
    private int earlyCount;

    @Schema(description = "缺卡次数", example = "13463")
    private int missingClockCount;

    @Schema(description = "请假/出差次数", example = "13463")
    private int leaveCount;

    @Schema(description = "考勤规则", example = "9:00-18:00")
    private String attendanceRules;

    @Schema(description = "考勤设置上班时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("考勤设置上班时间")
    @JsonFormat(pattern = "HH:mm")
    private LocalTime startTime;

    @Schema(description = "考勤设置下班时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("考勤设置下班时间")
    @JsonFormat(pattern = "HH:mm")
    private LocalTime endTime;

}